<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XWPFHeaderFooterPolicy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XWPFHeaderFooterPolicy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeaderFooterPolicy.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/XWPFCommentsDecorator.html"
               title="class in org.apache.poi.xwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/model/XWPFParagraphDecorator.html"
               title="class in org.apache.poi.xwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFHeaderFooterPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xwpf.model</div>
    <h2 title="Class XWPFHeaderFooterPolicy" class="title">Class XWPFHeaderFooterPolicy</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xwpf.model.XWPFHeaderFooterPolicy</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XWPFHeaderFooterPolicy</span>
extends java.lang.Object</pre>
                <div class="block">A .docx file can have no headers/footers, the same header/footer
                    on each page, odd/even page footers, and optionally also
                    a different header/footer on the first page.
                    This class handles sorting out what there is, and giving you
                    the right headers and footers for the document.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#DEFAULT">DEFAULT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#EVEN">EVEN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#FIRST">FIRST</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#XWPFHeaderFooterPolicy-org.apache.poi.xwpf.usermodel.XWPFDocument-">XWPFHeaderFooterPolicy</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</code>
                                    <div class="block">Figures out the policy for the given document,
                                        and creates any header and footer objects
                                        as required.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#XWPFHeaderFooterPolicy-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSectPr-">XWPFHeaderFooterPolicy</a></span>(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc,
                                    org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSectPr&nbsp;sectPr)</code>
                                    <div class="block">Figures out the policy for the given document,
                                        and creates any header and footer objects
                                        as required.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#createFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">createFooter</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</code>
                                    <div class="block">Creates an empty footer of the specified type, containing a
                                        single
                                        empty paragraph, to which you can then set text, add more paragraphs etc.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#createFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-org.apache.poi.xwpf.usermodel.XWPFParagraph:A-">createFooter</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>[]&nbsp;pars)</code>
                                    <div class="block">Creates a new footer of the specified type, to which the
                                        supplied (and previously unattached!) paragraphs are
                                        added to.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#createHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">createHeader</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</code>
                                    <div class="block">Creates an empty header of the specified type, containing a
                                        single
                                        empty paragraph, to which you can then set text, add more paragraphs etc.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#createHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-org.apache.poi.xwpf.usermodel.XWPFParagraph:A-">createHeader</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type,
                                    <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                       title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>[]&nbsp;pars)</code>
                                    <div class="block">Creates a new header of the specified type, to which the
                                        supplied (and previously unattached!) paragraphs are
                                        added to.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#createWatermark-java.lang.String-">createWatermark</a></span>(java.lang.String&nbsp;text)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getDefaultFooter--">getDefaultFooter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getDefaultHeader--">getDefaultHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getEvenPageFooter--">getEvenPageFooter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getEvenPageHeader--">getEvenPageHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getFirstPageFooter--">getFirstPageFooter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getFirstPageHeader--">getFirstPageHeader</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getFooter-int-">getFooter</a></span>(int&nbsp;pageNumber)</code>
                                    <div class="block">Get the footer that applies to the given
                                        (1 based) page.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">getFooter</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</code>
                                    <div class="block">Get this section footer for the given type</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getHeader-int-">getHeader</a></span>(int&nbsp;pageNumber)</code>
                                    <div class="block">Get the header that applies to the given
                                        (1 based) page.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">getHeader</a></span>(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</code>
                                    <div class="block">Get this section header for the given type</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getOddPageFooter--">getOddPageFooter</a></span>()</code>
                                    <div class="block">Returns the odd page footer.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html#getOddPageHeader--">getOddPageHeader</a></span>()</code>
                                    <div class="block">Returns the odd page header.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT</h4>
                                <pre>public static final&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum DEFAULT</pre>
                            </li>
                        </ul>
                        <a name="EVEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EVEN</h4>
                                <pre>public static final&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum EVEN</pre>
                            </li>
                        </ul>
                        <a name="FIRST">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FIRST</h4>
                                <pre>public static final&nbsp;org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum FIRST</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XWPFHeaderFooterPolicy-org.apache.poi.xwpf.usermodel.XWPFDocument-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XWPFHeaderFooterPolicy</h4>
                                <pre>public&nbsp;XWPFHeaderFooterPolicy(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc)</pre>
                                <div class="block">Figures out the policy for the given document,
                                    and creates any header and footer objects
                                    as required.
                                </div>
                            </li>
                        </ul>
                        <a name="XWPFHeaderFooterPolicy-org.apache.poi.xwpf.usermodel.XWPFDocument-org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSectPr-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XWPFHeaderFooterPolicy</h4>
                                <pre>public&nbsp;XWPFHeaderFooterPolicy(<a
                                        href="../../../../../org/apache/poi/xwpf/usermodel/XWPFDocument.html"
                                        title="class in org.apache.poi.xwpf.usermodel">XWPFDocument</a>&nbsp;doc,
                              org.openxmlformats.schemas.wordprocessingml.x2006.main.CTSectPr&nbsp;sectPr)</pre>
                                <div class="block">Figures out the policy for the given document,
                                    and creates any header and footer objects
                                    as required.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;createHeader(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</pre>
                                <div class="block">Creates an empty header of the specified type, containing a single
                                    empty paragraph, to which you can then set text, add more paragraphs etc.
                                </div>
                            </li>
                        </ul>
                        <a name="createHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-org.apache.poi.xwpf.usermodel.XWPFParagraph:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;createHeader(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type,
                               <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                  title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>[]&nbsp;pars)</pre>
                                <div class="block">Creates a new header of the specified type, to which the
                                    supplied (and previously unattached!) paragraphs are
                                    added to.
                                </div>
                            </li>
                        </ul>
                        <a name="createFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;createFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</pre>
                                <div class="block">Creates an empty footer of the specified type, containing a single
                                    empty paragraph, to which you can then set text, add more paragraphs etc.
                                </div>
                            </li>
                        </ul>
                        <a name="createFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-org.apache.poi.xwpf.usermodel.XWPFParagraph:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;createFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type,
                               <a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFParagraph.html"
                                  title="class in org.apache.poi.xwpf.usermodel">XWPFParagraph</a>[]&nbsp;pars)</pre>
                                <div class="block">Creates a new footer of the specified type, to which the
                                    supplied (and previously unattached!) paragraphs are
                                    added to.
                                </div>
                            </li>
                        </ul>
                        <a name="getFirstPageHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstPageHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getFirstPageHeader()</pre>
                            </li>
                        </ul>
                        <a name="getFirstPageFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstPageFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getFirstPageFooter()</pre>
                            </li>
                        </ul>
                        <a name="getOddPageHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddPageHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getOddPageHeader()</pre>
                                <div class="block">Returns the odd page header. This is
                                    also the same as the default one...
                                </div>
                            </li>
                        </ul>
                        <a name="getOddPageFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOddPageFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getOddPageFooter()</pre>
                                <div class="block">Returns the odd page footer. This is
                                    also the same as the default one...
                                </div>
                            </li>
                        </ul>
                        <a name="getEvenPageHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenPageHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getEvenPageHeader()</pre>
                            </li>
                        </ul>
                        <a name="getEvenPageFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvenPageFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getEvenPageFooter()</pre>
                            </li>
                        </ul>
                        <a name="getDefaultHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getDefaultHeader()</pre>
                            </li>
                        </ul>
                        <a name="getDefaultFooter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getDefaultFooter()</pre>
                            </li>
                        </ul>
                        <a name="getHeader-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getHeader(int&nbsp;pageNumber)</pre>
                                <div class="block">Get the header that applies to the given
                                    (1 based) page.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pageNumber</code> - The one based page number</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeader-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFHeader</a>&nbsp;getHeader(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</pre>
                                <div class="block">Get this section header for the given type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - of header to return</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFHeader.html"
                                           title="class in org.apache.poi.xwpf.usermodel"><code>XWPFHeader</code></a>
                                        object
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFooter-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getFooter(int&nbsp;pageNumber)</pre>
                                <div class="block">Get the footer that applies to the given
                                    (1 based) page.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pageNumber</code> - The one based page number</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFooter-org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFooter</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                                    title="class in org.apache.poi.xwpf.usermodel">XWPFFooter</a>&nbsp;getFooter(org.openxmlformats.schemas.wordprocessingml.x2006.main.STHdrFtr.Enum&nbsp;type)</pre>
                                <div class="block">Get this section footer for the given type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - of footer to return</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/xwpf/usermodel/XWPFFooter.html"
                                           title="class in org.apache.poi.xwpf.usermodel"><code>XWPFFooter</code></a>
                                        object
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWatermark-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createWatermark</h4>
                                <pre>public&nbsp;void&nbsp;createWatermark(java.lang.String&nbsp;text)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XWPFHeaderFooterPolicy.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xwpf/model/XWPFCommentsDecorator.html"
               title="class in org.apache.poi.xwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xwpf/model/XWPFParagraphDecorator.html"
               title="class in org.apache.poi.xwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xwpf/model/XWPFHeaderFooterPolicy.html" target="_top">Frames</a>
        </li>
        <li><a href="XWPFHeaderFooterPolicy.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
